Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 662632 - dev-python/django-1.8: removal (with revdeps)
Summary: dev-python/django-1.8: removal (with revdeps)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Virgil Dupras
URL:
Whiteboard: Pending removal: 2018-09-02
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2018-08-02 12:02 UTC by Virgil Dupras
Modified: 2018-09-03 13:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Virgil Dupras gentoo-dev 2018-08-02 12:02:03 UTC
Because of the security bug 662580, I am masking for removal the following revdeps that haven't been updated to work with django 1.11:

dev-python/django-celery
dev-python/django-compressor
dev-python/django-openstack-auth
dev-python/django-tastypie

Additionally, I am masking two dependencies for django-compressor that are ill-maintained and only have django-compressor as revdeps:

dev-python/jingo
dev-python/Coffin
Comment 1 Larry the Git Cow gentoo-dev 2018-08-02 12:19:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3b2f8431f286defdf08e080a5a45be1d7c37312

commit f3b2f8431f286defdf08e080a5a45be1d7c37312
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-08-02 12:17:10 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-08-02 12:17:10 +0000

    profiles: mask django 1.8 and revdeps for removal
    
    Bug: https://bugs.gentoo.org/662632

 profiles/package.mask | 10 ++++++++++
 1 file changed, 10 insertions(+)
Comment 2 Virgil Dupras gentoo-dev 2018-08-02 18:54:41 UTC
I hadn't noticed it (not specified in the ebuild), but dev-python/jsonfield-1.0.3 doesn't support django 1.11 and is abandoned and without revdep. Adding it to the list.
Comment 3 Larry the Git Cow gentoo-dev 2018-08-02 19:04:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=860d1f3b826911ff1559bb8d856eff67b9163c73

commit 860d1f3b826911ff1559bb8d856eff67b9163c73
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-08-02 19:02:37 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-08-02 19:04:10 +0000

    profiles: adding dev-python/jsonfield to the django 1.8 mask
    
    Bug: https://bugs.gentoo.org/662632

 profiles/package.mask | 1 +
 1 file changed, 1 insertion(+)
Comment 4 Larry the Git Cow gentoo-dev 2018-09-03 13:33:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f742f9bd625ae128620f9ebdcf91849da76f1b3

commit 4f742f9bd625ae128620f9ebdcf91849da76f1b3
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:31:15 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:14 +0000

    profiles: remove dev-python/django-1.8 mask
    
    It has been purged from the tree along with revdeps.
    
    Closes: https://bugs.gentoo.org/662632

 profiles/package.mask | 11 -----------
 1 file changed, 11 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77e79a429c95e05559c0c7ae0b477fec28c6d6f6

commit 77e79a429c95e05559c0c7ae0b477fec28c6d6f6
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:30:46 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:14 +0000

    dev-python/django: remove old and vulnerable
    
    Bug: https://bugs.gentoo.org/662632
    Package-Manager: Portage-2.3.48, Repoman-2.3.10

 dev-python/django/Manifest                         |   1 -
 dev-python/django/django-1.8.19.ebuild             | 106 ---------------------
 .../django/files/django-1.7.6-bashcomp.patch       |  34 -------
 3 files changed, 141 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b82b9c9189034fc72b04887ef04c67a7f0bc9f1d

commit b82b9c9189034fc72b04887ef04c67a7f0bc9f1d
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:27:56 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:14 +0000

    dev-python/django-compressor: remove last-rited package
    
    Bug: https://bugs.gentoo.org/662632

 dev-python/django-compressor/Manifest              |  1 -
 .../django-compressor/django-compressor-1.5.ebuild | 61 ----------------------
 dev-python/django-compressor/metadata.xml          |  8 ---
 3 files changed, 70 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcd692152c63b8ef506ed11be72f3ae18159408e

commit fcd692152c63b8ef506ed11be72f3ae18159408e
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:27:33 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:13 +0000

    dev-python/django-openstack-auth: remove last-rited package
    
    Bug: https://bugs.gentoo.org/662632

 dev-python/django-openstack-auth/Manifest          |  1 -
 .../django-openstack-auth-3.2.0-r1.ebuild          | 75 ----------------------
 dev-python/django-openstack-auth/metadata.xml      | 18 ------
 3 files changed, 94 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10271e0994c3c04c5e85b765e65311f4955e01fd

commit 10271e0994c3c04c5e85b765e65311f4955e01fd
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:26:53 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:13 +0000

    dev-python/django-tastypie: remove last-rited package
    
    Bug: https://bugs.gentoo.org/662632

 dev-python/django-tastypie/Manifest                |  1 -
 .../django-tastypie-0.13.3-r1.ebuild               | 81 ----------------------
 dev-python/django-tastypie/metadata.xml            | 15 ----
 3 files changed, 97 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=630c0c57527ac4e3e0aac96eec0f26738a43d98a

commit 630c0c57527ac4e3e0aac96eec0f26738a43d98a
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:25:58 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:12 +0000

    dev-python/jingo: remove last-rited package
    
    Bug: https://bugs.gentoo.org/662632

 dev-python/jingo/Manifest           |  1 -
 dev-python/jingo/jingo-0.9.0.ebuild | 19 -------------------
 dev-python/jingo/metadata.xml       |  9 ---------
 3 files changed, 29 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=672f79ed8c47e65ce59dcd330437ba2d700b6761

commit 672f79ed8c47e65ce59dcd330437ba2d700b6761
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:25:09 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:12 +0000

    dev-python/Coffin: remove last-rited package
    
    Bug: https://bugs.gentoo.org/662632

 dev-python/Coffin/Coffin-2.0.1.ebuild | 27 ---------------------------
 dev-python/Coffin/Manifest            |  1 -
 dev-python/Coffin/metadata.xml        |  9 ---------
 3 files changed, 37 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69d02f6e52052f119543f7b48af9e7a44167fb24

commit 69d02f6e52052f119543f7b48af9e7a44167fb24
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-03 13:22:21 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-03 13:33:11 +0000

    dev-python/jsonfield: remove last-rited package
    
    Bug: https://bugs.gentoo.org/662632

 dev-python/jsonfield/Manifest               |  2 --
 dev-python/jsonfield/jsonfield-1.0.3.ebuild | 24 ------------------------
 dev-python/jsonfield/jsonfield-2.0.2.ebuild | 23 -----------------------
 dev-python/jsonfield/metadata.xml           | 12 ------------
 4 files changed, 61 deletions(-)